ChangeSet 1.1692.3.9, 2004/03/31 14:55:47-08:00, johnrose@austin.ibm.com

[PATCH] PCI Hotplug: RPA PCI Hotplug - redundant free

Please commit the following patch, which removes a redundant call to a
cleanup function from an error path of the module init code.


 drivers/pci/hotplug/rpaphp_pci.c |    1 -
 1 files changed, 1 deletion(-)


diff -Nru a/drivers/pci/hotplug/rpaphp_pci.c b/drivers/pci/hotplug/rpaphp_pci.c
--- a/drivers/pci/hotplug/rpaphp_pci.c	Thu Apr 15 10:04:29 2004
+++ b/drivers/pci/hotplug/rpaphp_pci.c	Thu Apr 15 10:04:29 2004
@@ -304,7 +304,6 @@
 	if (slot->hotplug_slot->info->adapter_status == NOT_VALID) {
 		dbg("%s: NOT_VALID: skip dn->full_name=%s\n",
 		    __FUNCTION__, slot->dn->full_name);
-		dealloc_slot_struct(slot);
 		return (-1);
 	}
 	return (0);
